commit ff84b60a1f87fa51b6c5138613972cb8737813b8
Author: freddy77 <freddy77>
Date:   Tue May 27 08:00:56 2008 +0000

    fix possible buffer overflow

diff --git a/ChangeLog b/ChangeLog
index 4e5919a..35d0b69 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,4 +1,7 @@
-Wed May  7 15:56:10 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+Tue May 27 10:0:44 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/tds.h: fix possible buffer overflow
+
+Mon May 26 15:56:10 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	(monstly from Coverity reports)
 	* include/tdsbytes.h: remove warning
 	* src/apps/tsql.c src/dblib/bcp.c src/dblib/dblib.c:
@@ -299,4 +302,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2523 2008/05/26 13:56:48 freddy77 Exp $
+$Id: ChangeLog,v 1.2524 2008/05/27 08:00:56 freddy77 Exp $
diff --git a/include/tds.h b/include/tds.h
index 50d0282..fcffb2f 100644
--- a/include/tds.h
+++ b/include/tds.h
@@ -20,7 +20,7 @@
 #ifndef _tds_h_
 #define _tds_h_
 
-/* $Id: tds.h,v 1.286 2008/04/23 21:36:01 jklowden Exp $ */
+/* $Id: tds.h,v 1.287 2008/05/27 08:00:57 freddy77 Exp $ */
 
 #include <stdarg.h>
 #include <stdio.h>
@@ -747,7 +747,7 @@ typedef enum tds_encryption_level {
 
 
 #define TDS_MAX_CAPABILITY	22
-#define MAXPRECISION 		80
+#define MAXPRECISION 		77
 #define TDS_MAX_CONN		4096
 #define TDS_MAX_DYNID_LEN	30
 

